package authorization

import (
	"net/http"

	"bdqr-server/app/main/api/internal/logic/authorization"
	"bdqr-server/app/main/api/internal/svc"
	"bdqr-server/app/main/api/internal/types"
	"bdqr-server/common/result"
	"bdqr-server/pkg/lzkit/validator"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func GetAuthorizationDocumentByOrderHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GetAuthorizationDocumentByOrderReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := authorization.NewGetAuthorizationDocumentByOrderLogic(r.Context(), svcCtx)
		resp, err := l.GetAuthorizationDocumentByOrder(&req)
		result.HttpResult(r, w, resp, err)
	}
}
